Get notification list

Returns a list of notifications for the current user.

Requires authentication.

Request

GET /notifications

Headers

HeaderValue
AuthorizationBearer <token>

Response

Returns a JSON array of notification objects.

Response Body

FieldTypeDescription
idintegerNotification ID.
titleobject or stringNotification title. May be a multilingual object with en and de keys, or a plain string.
messageobject or stringNotification message content. May be multilingual or a plain string.
readbooleantrue if this notification has been marked as read by the current user.
createdAtstringISO 8601 timestamp of when the notification was created.

Example Response

[
  {
    "id": 1,
    "title": {
      "en": "Importer finished",
      "de": "Importer abgeschlossen"
    },
    "message": {
      "en": "The product import completed successfully.",
      "de": "Der Produktimport wurde erfolgreich abgeschlossen."
    },
    "read": false,
    "createdAt": "2026-04-27T06:00:00Z"
  }
]
Query Params
boolean
Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!